<?php

namespace AppBundle\Repository\Location;

use AppBundle\Entity\Location\Town;

/**
 * CommentRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class TownRepository extends \Doctrine\ORM\EntityRepository
{
    public function queryTowns()
    {
        $qb = $this->createQueryBuilder('t');
        $qb->orderBy('t.other', 'ASC')
        ->addOrderBy('t.name', 'ASC');

        return $qb;
    }

    public function findTown($name)
    {
        $qb = $this->createQueryBuilder('t');
        $qb->andWhere(  't.name LIKE :name')
            ->setParameter('name', '%' . $name . '%')
        ;
        $res = $qb->getQuery()->getResult();
        if(count($res) > 1) {
            return null;
        }
        if(count($res) > 0) {
            return $res['0'];
        }
        return null;
    }
}
